NXOpen.UF.ModlFeatures.CreateBplane

ModlFeatures.CreateBplane()

Refer to UF_MODL_create_bplane for documentation.

Signature: CreateBplane(sSection, tol)

Parameters:
  • sSection (NXOpen.UF.Modl.StringList Refer to string_list for documentation.) – Pointer to the curve list structure. int num Total number of curve string loops (min=1, max=150) int string[ ] Total number of segment curves per curve string loop (min=1, max =402) int dir[ ] Direction of a curve string 1 = Start to end -1 = End to start tag_t id[ ] Identifier of section curve
  • tol (list of float) – Tolerances: [0] = Distance [1] = Angle (in radians) [2] = Not used (formerly listed as Intersection)
Returns:

Body object identifier

Return type:

Tag

License requirements: SOLIDS MODELING